<template>
  <div class="app-container">
    <el-tabs v-model="actived" type="border-card" @tab-click="activeAction">
      <el-tab-pane label="查詢" name="query">
        <query v-if="actived==='query'" />
      </el-tab-pane>
      <el-tab-pane label="新增" name="insert">
        <insert v-if="actived==='insert'" />
      </el-tab-pane>
      <el-tab-pane label="修改與排序" name="upodateAndSort">
        <updateAndSort v-if="actived==='upodateAndSort'" />
      </el-tab-pane>
      <el-tab-pane label="預設" name="direct">
        <direct v-if="actived==='direct'" />
      </el-tab-pane>
    </el-tabs>
  </div>
</template>
<script>
import query from './frontUrlManager/query'
import insert from './frontUrlManager/insert'
import updateAndSort from './frontUrlManager/updateAndSort'
import direct from './defaultRedirect/index'
export default {
  components: {
    query,
    insert,
    updateAndSort,
    direct
  },
  data() {
    return {
      actived: 'query'
    }
  },
  methods: {
    activeAction: function(tab, event) {
      this.actived = tab.name
    }
  }
}
</script>
